@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');

body {
    font-size: 150%;
    font-family: 'Roboto', sans-serif;
    background-color: black;
    background: rgb(112,81,47);
    background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(100,100,100,1) 50%, rgba(0,0,0,1) 100%);
    color:whitesmoke;
    width: 100%;
    overflow-x: hidden;
}

input {
    font-size: 100%;
    text-align: center;
    font-family: 'Roboto', sans-serif;
}

div, canvas {
    border-radius: 4px;
}

.tooltip {
    width: 80vw;
    text-align: right;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 220px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;

    /* Position the tooltip */
    position: absolute;
    right: 10px;
    opacity: 0.6;
    z-index: 1;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
}


.data_entry {
    display: flex; 
}

#pace_input {
    display: none;
}

#time_input {
    display: none;
}

#distance_input {
    display: none;
}

.clickable {

}

.clickable:hover, #time:hover, #pace:hover, #distance:hover {
    color: blue;
    background-color: gray;
    transition-duration: 0.5s;
}

#table {
    display: flex;
    flex-wrap: wrap;
}

@keyframes glow {
    0% {
        color: white;
        text-shadow: 0 0 0 #fff;
    }
    50% {
        color: white;
        text-shadow: 0 0 20px #0ff, 0 0 30px white, 0 0 40px white, 0 0 50px white, 0 0 60px white, 0 0 70px white, 0 0 80px white;
    }
    100% {
        color: white;
        text-shadow: 0 0 0 #fff;
    }
}

.title {
    background-color: gray;
    opacity: 0.8;
    margin: 5px;

    width: 90vw;

    text-align: center;

    animation: glow;
    animation-duration: 6s;
    animation-fill-mode: both;
    animation-iteration-count: infinite;

}

.title_a {
    animation-delay: 0s
}
.title_b {
    animation-delay: 0.5s
}
.title_c {
    animation-delay: 1s
}
.title_d {
    animation-delay: 1.5s
}
.title_e {
    animation-delay: 2s
}

.cell {
    margin: 2px;
    padding: 2px;
    border-radius: 20px;
    width: 30vw;
    overflow: hidden;
    text-align: center;
}

.cell:hover, .cell:hover > .celldistance, .cell:hover > .cellpace, .cell:hover > .celltime  {
    color: blue;
    background-color: lightgray;
    transition-duration: 0.5s;
}

.celldistance, #distance {
    background-color: slateblue;
    color: white;
    padding: 2px;
}

.cellpace, #pace {
    background-color: indianred;
    color: darkblue;
    padding: 2px;
}

.celltime, #time {
    background-color: cadetblue;
    color: darkblue;
    padding: 2px;
}

#intervals, #training_zones {
    display: flex;
    flex-wrap: wrap;
}

.interval_unit, .training_zones_unit {
    margin-right: 10px;
    padding: 3px;
    color: white;
    text-align: center;
}

@media only screen and (max-device-width: 480px) {
    body {
        font-size: 300%;
    }
    .tooltip .tooltiptext {
        visibility: hidden;
        width: 90vw;
    }
    .interval_unit, .training_zones_unit {
        width: 90vw;
    }
    .cell {
        width: 40vw;
    }
}
